Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 15 Mar 2023 11:12:30 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered some items on Monday and Max confirm the delivery on Tuesday, I received the msg also regarding ur order is out of delivery, and then sudden in night I got the msg that they can’t deliver my order, this is not the first time an ordering from Max, so that they can’t find my location. Am very much disappointed and without my concern they didn’t even call or msg when will they deliver. It’s very disappointing from Max https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5852747